BIBD Merchant Portal - Bug #16599

[MA-3][Android] Cleartext Storage of Sensitive Information in Log Files

30 May 2023 04:30 PM - Nor Khairun Agila Jesmen

Status: Closed Start date: 06 June 2023
Priority: High Due date: 07 June 2023
Assignee: Nor Khairun Aqila Jesmen % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Description:

The application exposes sensitive information within log files which are stored on the local device in cleartext.

Recommendation:

Disable logging or set the logging to appropriate level so that sensitive data and system information are not exposed.

Fixes:
Remove log

Apply fixes on Merchant Portal app version 1.1++

History

#1 - 14 June 2023 11:41 AM - Abdul Halim Baharom

- Status changed from New to Resolved

- Assignee changed from Abdul Halim Baharom to Nor Khairun Agila Jesmen
- % Done changed from 0 to 100

Fixed

#2 - 03 January 2024 10:44 AM - Nor Khairun Aqila Jesmen

- Status changed from Resolved to Closed

Closed

19 April 2025
